## org.apache.lucene.codecs.lucene40
Class Lucene40RWCodec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.lucene40.Lucene40Codec
              org.apache.lucene.codecs.lucene40.Lucene40RWCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class Lucene40RWCodec

extends Lucene40Codec

Read-write version of Lucene40Codec for testing

Constructor Summary
`Lucene40RWCodec()`

Method Summary
`DocValuesFormat` `docValuesFormat()`
`FieldInfosFormat` `fieldInfosFormat()`
`NormsFormat` `normsFormat()`

Methods inherited from class org.apache.lucene.codecs.lucene40.Lucene40Codec
`getPostingsFormatForField, liveDocsFormat, postingsFormat, segmentInfoFormat, storedFieldsFormat, termVectorsFormat`

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Lucene40RWCodec

    public Lucene40RWCodec()

Method Detail

### fieldInfosFormat

    public FieldInfosFormat fieldInfosFormat()

  Overrides:
    `fieldInfosFormat` in class `Lucene40Codec`

### docValuesFormat

    public DocValuesFormat docValuesFormat()

  Overrides:
    `docValuesFormat` in class `Lucene40Codec`

### normsFormat

    public NormsFormat normsFormat()

  Overrides:
    `normsFormat` in class `Lucene40Codec`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.